View Issue Details

IDProjectCategoryView StatusLast Update
0004602SOGoWeb Mailpublic2020-07-10 17:07
Reportercatalin Assigned Tofrancis  
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version4.0.4 
Fixed in Version4.3.3 
Summary0004602: Multiple Identities
Description

It would be nice to have this feature.
Using SOGoMailCustomFromEnabled is very limited, given that you cannot change signature and works only for one additional email address.
Using multiple imap accounts in a web interface is not very functional.
There are users that have several addresses associated to one email account and they want to have the possibility to change the Display Name and the signature.
The way I see it :
Users to be able to add a new identity where they can enter Display Name, select email address from those who were given to them from ldap and add a signature. Then select it from the compose email window. Like Tunderbird does.

Thank you

TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

sogo: feature/mail-identities 63a80be1

2020-06-08 17:44:49

francis

Details Diff
feat(mail): handle multiple mail identities

Fixes 0000768, fixes 0004602
Affected Issues
0000768, 0004602
mod - SoObjects/Mailer/SOGoMailAccount.h Diff File
mod - SoObjects/Mailer/SOGoMailAccount.m Diff File
mod - SoObjects/SOGo/SOGoUser.m Diff File
mod - SoObjects/SOGo/SOGoUserDefaults.h Diff File
mod - SoObjects/SOGo/SOGoUserDefaults.m Diff File
mod - SoObjects/SOGo/SOGoUserFolder.m Diff File
mod - UI/MailerUI/English.lproj/Localizable.strings Diff File
mod - UI/MailerUI/UIxMailEditor.m Diff File
mod - UI/PreferencesUI/English.lproj/Localizable.strings Diff File
mod - UI/PreferencesUI/UIxJSONPreferences.m Diff File
mod - UI/PreferencesUI/UIxPreferences.m Diff File
mod - UI/PreferencesUI/product.plist Diff File
mod - UI/Templates/MailerUI/UIxMailEditor.wox Diff File
mod - UI/Templates/PreferencesUI/UIxAccountEditor.wox Diff File
mod - UI/WebServerResources/js/Common/sgCkeditor.component.js Diff File
mod - UI/WebServerResources/js/Mailer/Account.service.js Diff File
mod - UI/WebServerResources/js/Mailer/MessageEditorController.js Diff File
mod - UI/WebServerResources/js/Preferences/AccountDialogController.js Diff File
mod - UI/WebServerResources/js/Preferences/PreferencesController.js Diff File
mod - UI/WebServerResources/scss/components/autocomplete/autocomplete.scss Diff File

sogo: feature/mail-identities f8aa338e

2020-06-18 16:53:42

francis

Details Diff
feat(mail): handle multiple mail identities

Fixes 0000768, fixes 0004602
Affected Issues
0000768, 0004602
mod - SoObjects/Mailer/SOGoDraftObject.m Diff File
mod - SoObjects/Mailer/SOGoMailAccount.h Diff File
mod - SoObjects/Mailer/SOGoMailAccount.m Diff File
mod - SoObjects/Mailer/SOGoMailForward.m Diff File
mod - SoObjects/SOGo/SOGoUser.m Diff File
mod - SoObjects/SOGo/SOGoUserDefaults.h Diff File
mod - SoObjects/SOGo/SOGoUserDefaults.m Diff File
mod - SoObjects/SOGo/SOGoUserFolder.m Diff File
mod - UI/MailerUI/English.lproj/Localizable.strings Diff File
mod - UI/MailerUI/UIxMailAccountActions.m Diff File
mod - UI/MailerUI/UIxMailEditor.m Diff File
mod - UI/PreferencesUI/English.lproj/Localizable.strings Diff File
mod - UI/PreferencesUI/UIxJSONPreferences.m Diff File
mod - UI/PreferencesUI/UIxPreferences.m Diff File
mod - UI/PreferencesUI/product.plist Diff File
mod - UI/Templates/MailerUI/UIxMailEditor.wox Diff File
mod - UI/Templates/PreferencesUI/UIxAccountEditor.wox Diff File
mod - UI/WebServerResources/angular-material Diff File
mod - UI/WebServerResources/js/Common/sgCkeditor.component.js Diff File
mod - UI/WebServerResources/js/Mailer/Account.service.js Diff File
mod - UI/WebServerResources/js/Mailer/MessageEditorController.js Diff File
mod - UI/WebServerResources/js/Preferences/AccountDialogController.js Diff File
mod - UI/WebServerResources/js/Preferences/PreferencesController.js Diff File
mod - UI/WebServerResources/scss/components/autocomplete/autocomplete.scss Diff File

sogo: master 79722576

2020-06-25 12:12:33

francis

Details Diff
feat(mail): handle multiple mail identities

Fixes 0000768, fixes 0004602, fixes 0005062
Affected Issues
0000768, 0004602, 0005062
mod - UI/WebServerResources/js/Preferences/PreferencesController.js Diff File

sogo: master 11bbdee1

2020-06-26 15:23:10

francis

Details Diff
feat(mail): handle multiple mail identities

If no custom identity exists, initialize the mail identities of the user
with all the user's email addresses (extracted from MailFieldNames).

For this code path to be executed, the user must not have any of the
following defaults keys:

SOGoMailIdentities
SOGoMailCustomFullName
SOGoMailCustomEmail
SOGoMailReplyTo
SOGoMailSignature

Fixes 0000768, fixes 0004602
Affected Issues
0000768, 0004602
mod - SoObjects/SOGo/SOGoUser.m Diff File

sogo: master 208ee089

2020-07-10 17:01:26

francis

Details Diff
feat(mail): handle multiple mail identities

Create read-only identities for email addresses for which no identity has been defined. This way, when visiting the message editor, the user will have access to all of her known email addresses.

Fixes 0000768, fixes 0004602
Affected Issues
0000768, 0004602
mod - SoObjects/SOGo/SOGoUser.m Diff File

sogo: master b4f76a79

2020-07-10 17:07:01

francis

Details Diff
feat(mail): handle multiple mail identities

Fixes 0000768, fixes 0004602
Affected Issues
0000768, 0004602
mod - UI/Templates/MailerUI/UIxMailEditor.wox Diff File
mod - UI/Templates/PreferencesUI/UIxAccountEditor.wox Diff File
mod - UI/WebServerResources/js/Mailer/Account.service.js Diff File

Issue History

Date Modified Username Field Change
2018-11-21 09:27 catalin New Issue
2020-06-08 17:49 francis Changeset attached => sogo feature/mail-identities 63a80be1
2020-06-08 17:49 francis Assigned To => francis
2020-06-08 17:49 francis Resolution open => fixed
2020-06-18 16:59 francis Changeset attached => sogo feature/mail-identities f8aa338e
2020-06-25 12:37 francis Changeset attached => sogo master 79722576
2020-06-26 15:21 francis Status new => resolved
2020-06-26 15:21 francis Fixed in Version => 4.3.3
2020-06-26 15:28 francis Changeset attached => sogo master 11bbdee1
2020-07-10 17:07 francis Changeset attached => sogo master 208ee089
2020-07-10 17:07 francis Changeset attached => sogo master b4f76a79